[Mediawiki-l] Upgrade Question

Christopher Eicher predx97 at gmail.com
Sun Oct 24 03:11:44 UTC 2010


Yup I have full control over what version of PHP my database uses
currently.  Set it to PHP5 after a problem with the media wiki software and
left it at PHP5.  How would I backup the entire Wiki Directory?  Usually
i'll just go into the phpadmin code for the database linked to the media
wiki and select all the files then create a zip file with all the files to
make the wiki work zipped up in it.  After that i'll just download the zip
file and keep it stored away on my computer.

On Sat, Oct 23, 2010 at 5:23 PM, Benjamin Lees <emufarmers at gmail.com> wrote:

> On Sat, Oct 23, 2010 at 12:32 PM, Christopher Eicher <predx97 at gmail.com>
> wrote:
> > I would be upgrading from the media wiki 1.6 to 1.16 version.
> Make sure your host has PHP 5 (rather than PHP 4).
>
> > What files
> > would I need to backup on the database and once done do I need to
> reinsert
> > those files into the database or should the files in the database carry
> > over?
>
> You should back up your entire database.[0]  For the sake of
> simplicity, you should also back up the entire wiki directory.  If the
> upgrade goes smoothly, you will not need to re-import your backup.
>
> [0] http://www.mediawiki.org/wiki/Manual:Backing_up_a_wiki
>
> _______________________________________________
> MediaWiki-l mailing list
> MediaWiki-l at lists.wikimedia.org
> https://lists.wikimedia.org/mailman/listinfo/mediawiki-l
>


More information about the MediaWiki-l mailing list